{include="header"}

<script type="text/javascript">
   function show_nuevo_articulo()
   {
      $("#modal_nuevo_articulo").modal('show');
      document.f_nuevo_articulo.referencia.focus();
   }
   function show_tarifas()
   {
      $('#ul_tabs a[href="#tarifas"]').tab('show');
      document.f_nueva_tarifa.nombre.focus();
   }
   function eliminar_tarifa(cod)
   {
      bootbox.confirm({
         message: '¿Realmente desea eliminar la tarifa '+cod+'?',
         title: '<b>Atención</b>',
         callback: function(result) {
            if (result) {
               window.location.href = '{$fsc->url()}&delete_tarifa='+encodeURIComponent(cod)+'#tarifas';
            }
         }
      });
   }
   $(document).ready(function() {
      document.f_custom_search.query.focus();
      
      if(window.location.hash.substring(1) == 'nuevo')
      {
         show_nuevo_articulo();
      }
      else if(window.location.hash.substring(1) == 'transferencias')
      {
         $('#ul_tabs a[href="#transferencias"]').tab('show');
      }
      else if(window.location.hash.substring(1) == 'tarifas')
      {
         show_tarifas();
      }
      else
      {
         $('[data-toggle="popover"]').popover({
            placement : 'bottom',
            trigger : 'hover',
            content: function() {
               return '<div class="thumbnail" style="margin: 0px;"><img src="'+$(this).data('img') + '" /></a>';
            }
         });
      }
      
      $("#b_nuevo_articulo").click(function(event) {
         event.preventDefault();
         show_nuevo_articulo();
      });
      $("#b_tarifas").click(function(event) {
         event.preventDefault();
         show_tarifas();
      });
   });
</script>

<div class="container-fluid" style="margin-bottom: 10px;">
   <div class="row">
      <div class="col-xs-12">
         <div class="btn-group hidden-xs">
            <a class="btn btn-sm btn-default" href="{$fsc->url()}" title="Recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
            {if="$fsc->page->is_default()"}
            <a class="btn btn-sm btn-default active" href="{$fsc->url()}&amp;default_page=FALSE" title="Marcada como página de inicio (pulsa de nuevo para desmarcar)">
               <i class="fa fa-bookmark" aria-hidden="true"></i>
            </a>
            {else}
            <a class="btn btn-sm btn-default" href="{$fsc->url()}&amp;default_page=TRUE" title="Marcar como página de inicio">
               <i class="fa fa-bookmark-o" aria-hidden="true"></i>
            </a>
            {/if}
         </div>
         <div class="btn-group">
            <a id="b_nuevo_articulo" class="btn btn-sm btn-success" href="#">
               <span class="glyphicon glyphicon-plus"></span>
               <span class="hidden-xs">&nbsp;Nuevo</span>
            </a>
            {if="count($fsc->almacenes)>1"}
            <button type="button" class="btn btn-sm btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
               <span class="caret"></span>
               <span class="sr-only">+</span>
            </button>
            <ul class="dropdown-menu">
               <li><a href="#" data-toggle="modal" data-target="#modal_nueva_transferencia">Nueva transferencia de stock</a></li>
            </ul>
            {/if}
         </div>
         <div class="btn-group">
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
               {/if}
            {/loop}
         </div>
      </div>
   </div>
</div>

<div role="tabpanel">
   <ul id="ul_tabs" class="nav nav-tabs" role="tablist">
      <li role="presentation" class="active">
         <a href="#articulos" aria-controls="articulos" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-search" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp;Artículos</span>
            <span class="badge">{$fsc->total_resultados}</span>
         </a>
      </li>
      {if="count($fsc->almacenes)>1"}
      <li role="presentation">
         <a href="#transferencias" aria-controls="transferencias" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-transfer" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp;Transferencias</span>
         </a>
      </li>
      {/if}
      {if="$fsc->mostrar_tab_tarifas"}
      <li role="presentation">
         <a href="#tarifas" aria-controls="tarifas" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-usd" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp;Tarifas</span>
         </a>
      </li>
      {/if}
      {loop="$fsc->extensions"}
         {if="$value->type=='tab'"}
         <li role="presentation">
            <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
         </li>
         {/if}
      {/loop}
   </ul>
   <div class="tab-content">
      <div role="tabpanel" class="tab-pane active" id="articulos">
         <form name="f_custom_search" action="{$fsc->url()}" method="post" class="form">
            <div class="container-fluid" style="margin-top: 15px;">
               <div class="row">
                  <div class="col-sm-2">
                     <div class='form-group{if="$fsc->query"} has-success{/if}'>
                        <div class="input-group">
                           <input class="form-control" type="text" name="query" value="{$fsc->query}" autocomplete="off" placeholder="Buscar">
                           <span class="input-group-btn">
                              <button class="btn btn-primary hidden-sm" type="submit">
                                 <span class="glyphicon glyphicon-search"></span>
                              </button>
                           </span>
                        </div>
                     </div>
                  </div>
                  {if="count($fsc->almacenes)>1"}
                  <div class="col-sm-2">
                     <div class='form-group{if="$fsc->b_codalmacen"} has-success{/if}'>
                        <select class="form-control" name="b_codalmacen" onchange="this.form.submit()">
                           <option value="">Todos los almacenes</option>
                           <option value="">-----</option>
                           {loop="$fsc->almacenes"}
                              {if="$value->codalmacen==$fsc->b_codalmacen"}
                              <option value="{$value->codalmacen}" selected="">{$value->nombre}</option>
                              {else}
                              <option value="{$value->codalmacen}">{$value->nombre}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
                  {else}
                  <input type="hidden" name="b_codalmacen" value=""/>
                  {/if}
                  <div class="col-sm-3">
                     <div class='form-group{if="$fsc->b_codfamilia"} has-success{/if}'>
                        <div class="input-group">
                           <select class="form-control" name="b_codfamilia" onchange="this.form.submit()">
                              <option value="">Todas las familias</option>
                              <option value="">-----</option>
                              {loop="$fsc->familia->all()"}
                                 {if="$value->codfamilia==$fsc->b_codfamilia"}
                                 <option value="{$value->codfamilia}" selected="">{$value->nivel}{$value->descripcion}</option>
                                 {else}
                                 <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                                 {/if}
                              {/loop}
                           </select>
                           <span class="input-group-addon" title="incluir subfamilias">
                              {if="$fsc->b_subfamilias"}
                              <input type="checkbox" name="b_subfamilias" value="TRUE" checked="" onchange="this.form.submit()">
                              {else}
                              <input type="checkbox" name="b_subfamilias" value="TRUE" onchange="this.form.submit()">
                              {/if}
                              <i class="fa fa-sitemap" aria-hidden="true"></i>
                           </span>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class='form-group{if="$fsc->b_codfabricante"} has-success{/if}'>
                        <select class="form-control" name="b_codfabricante" onchange="this.form.submit()">
                           <option value="">Todos los fabricantes</option>
                           <option value="">-----</option>
                           {loop="$fsc->fabricante->all()"}
                              {if="$value->codfabricante==$fsc->b_codfabricante"}
                              <option value="{$value->codfabricante}" selected="">{$value->nombre}</option>
                              {else}
                              <option value="{$value->codfabricante}">{$value->nombre}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class='form-group{if="$fsc->b_codtarifa"} has-success{/if}'>
                        <div class="input-group">
                           <select name="b_codtarifa" class="form-control" onchange="this.form.submit()">
                              <option value="">Ninguna tarifa</option>
                              <option value="">---</option>
                              {loop="$fsc->tarifa->all()"}
                                 {if="$value->codtarifa==$fsc->b_codtarifa"}
                                 <option value="{$value->codtarifa}" selected="">{$value->nombre}</option>
                                 {else}
                                 <option value="{$value->codtarifa}">{$value->nombre}</option>
                                 {/if}
                              {/loop}
                           </select>
                           <span class="input-group-btn" title="Descargar">
                              <a class="btn btn-info" href="{$fsc->b_url}&download=csv" title="Descargar en formato CSV">
                                 <span class="glyphicon glyphicon-download-alt"></span>
                              </a>
                           </span>
                        </div>
                     </div>
                  </div>
                  {if="count($fsc->almacenes)<=1"}
                  <div class="col-sm-2"></div>
                  {/if}
                  <div class="col-sm-1 text-right">
                     <div class="btn-group">
                        <button type="button" class="btn btn-sm btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
                           <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                        </button>
                        <ul class="dropdown-menu dropdown-menu-right">
                           <li>
                              <a href="{$fsc->b_url}&b_orden=refmin&offset={$fsc->offset}">
                                 <span class="glyphicon glyphicon-sort-by-attributes" aria-hidden="true"></span>
                                 &nbsp; Referencia &nbsp;
                                 {if="$fsc->b_orden=='refmin'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                              </a>
                           </li>
                           <li>
                              <a href="{$fsc->b_url}&b_orden=refmax&offset={$fsc->offset}">
                                 <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                                 &nbsp; Referencia &nbsp;
                                 {if="$fsc->b_orden=='refmax'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                              </a>
                           </li>
                           <li>
                              <a href="{$fsc->b_url}&b_orden=descmin&offset={$fsc->offset}">
                                 <span class="glyphicon glyphicon-sort-by-attributes" aria-hidden="true"></span>
                                 &nbsp; Descripción &nbsp;
                                 {if="$fsc->b_orden=='descmin'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                              </a>
                           </li>
                           <li>
                              <a href="{$fsc->b_url}&b_orden=descmax&offset={$fsc->offset}">
                                 <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                                 &nbsp; Descripción &nbsp;
                                 {if="$fsc->b_orden=='descmax'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                              </a>
                           </li>
                           <li>
                              <a href="{$fsc->b_url}&b_orden=preciomin&offset={$fsc->offset}">
                                 <span class="glyphicon glyphicon-sort-by-attributes" aria-hidden="true"></span>
                                 &nbsp; Precio &nbsp;
                                 {if="$fsc->b_orden=='preciomin'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                              </a>
                           </li>
                           <li>
                              <a href="{$fsc->b_url}&b_orden=preciomax&offset={$fsc->offset}">
                                 <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                                 &nbsp; Precio &nbsp;
                                 {if="$fsc->b_orden=='preciomax'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                              </a>
                           </li>
                           <li>
                              <a href="{$fsc->b_url}&b_orden=stockmin&offset={$fsc->offset}">
                                 <span class="glyphicon glyphicon-sort-by-attributes" aria-hidden="true"></span>
                                 &nbsp; Stock &nbsp;
                                 {if="$fsc->b_orden=='stockmin'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                              </a>
                           </li>
                           <li>
                              <a href="{$fsc->b_url}&b_orden=stockmax&offset={$fsc->offset}">
                                 <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                                 &nbsp; Stock &nbsp;
                                 {if="$fsc->b_orden=='stockmax'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                              </a>
                           </li>
                        </ul>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <div class="form-group">
                        <label class="checkbox-inline">
                           {if="$fsc->b_constock"}
                           <input type="checkbox" name="b_constock" checked="" value="TRUE" onchange="this.form.submit()"/>
                           {else}
                           <input type="checkbox" name="b_constock" value="TRUE" onchange="this.form.submit()"/>
                           {/if}
                           Con stock
                        </label>
                        <label class="checkbox-inline">
                           {if="$fsc->b_bloqueados"}
                           <input type="checkbox" name="b_bloqueados" checked="" value="TRUE" onchange="this.form.submit()"/>
                           {else}
                           <input type="checkbox" name="b_bloqueados" value="TRUE" onchange="this.form.submit()"/>
                           {/if}
                           Bloqueados
                        </label>
                        <label class="checkbox-inline">
                           {if="$fsc->b_publicos"}
                           <input type="checkbox" name="b_publicos" checked="" value="TRUE" onchange="this.form.submit()"/>
                           {else}
                           <input type="checkbox" name="b_publicos" value="TRUE" onchange="this.form.submit()"/>
                           {/if}
                           Públicos
                        </label>
                     </div>
                  </div>
               </div>
            </div>
         </form>
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Referencia + Descripción</th>
                     <th class="text-left">Familia</th>
                     <th class="text-left">Fabricante</th>
                     <th class="text-right">Precio</th>
                     <th class="text-right">Precio+{#FS_IVA#}</th>
                     <th class="text-right">Stock</th>
                     <th class="text-right"></th>
                  </tr>
               </thead>
               {loop="$fsc->resultados"}
               <tr class='clickableRow{if="$value->bloqueado"} danger{elseif="$value->stockfis<=$value->stockmin"} warning{/if}' href='{$value->url()}'>
                  <td>
                     {$img=$value->imagen_url()}
                     {if="$img"}
                     <a href="{$value->url()}" data-toggle="popover" data-html="true" data-img="{$img}">{$value->referencia}</a>
                     <span class="glyphicon glyphicon-picture" aria-hidden="true" data-toggle="popover" data-html="true" data-img="{$img}"></span>
                     {else}
                     <a href="{$value->url()}">{$value->referencia}</a>
                     {/if}
                     {$value->descripcion()}
                  </td>
                  <td>
                     {if="is_null($value->codfamilia)"}
                        <span>-</span>
                     {else}
                        {$value->codfamilia}
                        <a href="{$fsc->url()}&b_codfamilia={$value->codfamilia}" class="cancel_clickable" title="Ver más artículos de esta familia">[+]</a>
                     {/if}
                  </td>
                  <td>
                     {if="is_null($value->codfabricante)"}
                        <span>-</span>
                     {else}
                        {$value->codfabricante}
                        <a href="{$fsc->url()}&b_codfabricante={$value->codfabricante}" class="cancel_clickable" title="Ver más artículos de este fabricante">[+]</a>
                     {/if}
                  </td>
                  <td class="text-right">
                     <span title="actualizado el {$value->factualizado}">{$fsc->show_precio($value->pvp, FALSE, TRUE, FS_NF0_ART)}</span>
                  </td>
                  <td class="text-right">
                     <span title="actualizado el {$value->factualizado}">{$fsc->show_precio($value->pvp_iva(), FALSE, TRUE, FS_NF0_ART)}</span>
                  </td>
                  <td class="text-right">
                     {if="$value->nostock"}-{else}{$value->stockfis}{/if}
                  </td>
                  <td class="text-right">
                     {if="$value->tipo"}
                     <span class="glyphicon glyphicon-list-alt" aria-hidden="true" title="Artículo tipo: {$value->tipo}"></span>
                     {/if}
                     {if="$value->trazabilidad"}
                     <i class="fa fa-code-fork" aria-hidden="true" title="Trazabilidad activada"></i>
                     {/if}
                     {if="$value->publico"}
                     <span class="glyphicon glyphicon-globe" aria-hidden="true" title="Artículo público"></span>
                     {/if}
                  </td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="7">Ningun artículo encontrado. Pulsa el botón <b>Nuevo</b> para crear uno.</td>
               </tr>
               {/loop}
            </table>
         </div>
         <div class="text-center">
            <ul class="pagination">
               {loop="$fsc->paginas()"}
               <li{if="$value['actual']"} class="active"{/if}>
                  <a href="{$value['url']}">{$value['num']}</a>
               </li>
               {/loop}
            </ul>
         </div>
      </div>
      {if="count($fsc->almacenes)>1"}
      <div role="tabpanel" class="tab-pane" id="transferencias">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th>Usuario</th>
                     <th>Origen</th>
                     <th>Destino</th>
                     <th class="text-right">Fecha</th>
                     <th class="text-right">Hora</th>
                  </tr>
               </thead>
               {loop="$fsc->transferencia_stock->all()"}
               <tr class="clickableRow" href="{$value->url()}">
                  <td>{$value->usuario}</td>
                  <td>{$value->codalmaorigen}</td>
                  <td>{$value->codalmadestino}</td>
                  <td class="text-right">{$value->fecha}</td>
                  <td class="text-right">{$value->hora}</td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="5">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
      </div>
      {/if}
      {if="$fsc->mostrar_tab_tarifas"}
      <div role="tabpanel" class="tab-pane" id="tarifas">
         <br/>
         <div class="container-fluid">
            <div class="row">
               <div class="col-sm-12">
                  <p class="help-block">
                     Desde aquí puedes configurar las tarifas de venta a clientes.
                     Crea todas las tarifas que necesites, después puedes asignarlas a clientes o
                     a <a href="index.php?page=ventas_clientes#grupos">grupos de clientes</a>.
                     <br/>
                     Las tarifas son básicamente fórmulas a aplicar al precio de venta o de coste
                     del artículo.
                  </p>
                  {loop="$fsc->tarifa->all()"}
                  <form action="{$fsc->url()}#tarifas" method="post" class="form">
                     <input type="hidden" name="codtarifa" value="{$value->codtarifa}"/>
                     <div class="panel panel-warning">
                        <div class="panel-heading">
                           <h3 class="panel-title">Tarifa {$value->codtarifa}</h3>
                        </div>
                        <div class="panel-body">
                           <div class="container-fluid">
                              <div class="row">
                                 <div class="col-sm-3">
                                    <div class="form-group">
                                       Nombre
                                       <input class="form-control" type="text" name="nombre" value="{$value->nombre}" maxlength="50" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-3">
                                    <div class="form-group">
                                       Aplicar
                                       <select name="aplicar_a" class="form-control">
                                          <option value="pvp" {if="$value->aplicar_a=='pvp'"} selected=""{/if}>Precio de venta - X% - Y</option>
                                          <option value="coste" {if="$value->aplicar_a=='coste'"} selected{/if}>Precio de coste + X% + Y</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       <div class="hidden-xs"><br/></div>
                                       <div class="input-group">
                                          <span class="input-group-addon">X%</span>
                                          <input class="form-control" type="number" step="any" name="dtopor" value="{$value->x()}" autocomplete="off"/>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       <div class="hidden-xs"><br/></div>
                                       <div class="input-group">
                                          <span class="input-group-addon">Y</span>
                                          <input class="form-control" type="number" step="any" name="inclineal" value="{$value->y()}" autocomplete="off"/>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    Resultado:
                                    <div class="form-control">{$value->diff()}</div>
                                 </div>
                              </div>
                              <div class="row">
                                 <div class="col-sm-3">
                                    <div class="form-group">
                                       <label class="checkbox-inline">
                                          {if="$value->mincoste"}
                                          <input type="checkbox" name="mincoste" value="TRUE" checked=""/>
                                          {else}
                                          <input type="checkbox" name="mincoste" value="TRUE"/>
                                          {/if}
                                          mínimo = precio de coste
                                       </label>
                                       <label class="checkbox-inline">
                                          {if="$value->maxpvp"}
                                          <input type="checkbox" name="maxpvp" value="TRUE" checked=""/>
                                          {else}
                                          <input type="checkbox" name="maxpvp" value="TRUE"/>
                                          {/if}
                                          máximo = precio de venta
                                       </label>
                                    </div>
                                 </div>
                                 <div class="col-sm-7"></div>
                                 <div class="col-sm-2 text-right">
                                    <div class="btn-group">
                                       {if="$fsc->allow_delete"}
                                       <a href="#" class="btn btn-sm btn-danger" title="Eliminar" onclick="eliminar_tarifa('{$value->codtarifa}')">
                                          <span class="glyphicon glyphicon-trash"></span>
                                       </a>
                                       {/if}
                                       <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();" title="Guardar">
                                          <span class="glyphicon glyphicon-floppy-disk"></span>
                                       </button>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </form>
                  {/loop}
                  <form name="f_nueva_tarifa" action="{$fsc->url()}#tarifas" method="post" class="form">
                     <div class="panel panel-info">
                        <div class="panel-heading">
                           <h3 class="panel-title">Nueva tarifa</h3>
                        </div>
                        <div class="panel-body">
                           <div class="container-fluid">
                              <div class="row">
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Código
                                       <input class="form-control" type="text" name="codtarifa" value="{$fsc->tarifa->get_new_codigo()}" maxlength="6" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-3">
                                    <div class="form-group">
                                       Nombre
                                       <input class="form-control" type="text" name="nombre" maxlength="50" placeholder="Nueva Tarifa" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-3">
                                    <div class="form-group">
                                       Aplicar
                                       <select name="aplicar_a" class="form-control">
                                          <option value="pvp">Precio de venta - X% - Y</option>
                                          <option value="coste">Precio de coste + X% + Y</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       <div class="hidden-xs"><br/></div>
                                       <div class="input-group">
                                          <span class="input-group-addon">X%</span>
                                          <input class="form-control" type="number" step="any" name="dtopor" value="0" autocomplete="off"/>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       <div class="hidden-xs"><br/></div>
                                       <div class="input-group">
                                          <span class="input-group-addon">Y</span>
                                          <input class="form-control" type="number" step="any" name="inclineal" value="0" autocomplete="off"/>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <div class="row">
                                 <div class="col-sm-5">
                                    <div class="form-group">
                                       <label class="checkbox-inline">
                                          <input type="checkbox" name="mincoste" value="TRUE"/>
                                          mínimo = precio de coste
                                       </label>
                                       <label class="checkbox-inline">
                                          <input type="checkbox" name="maxpvp" value="TRUE"/>
                                          máximo = precio de venta
                                       </label>
                                    </div>
                                 </div>
                                 <div class="col-sm-5">
                                    <p class="help-block">
                                       ¿Buscas <b>Precio de venta + X% + Y</b>? ¿O <b>Precio de coste - X% - Y</b>?
                                       Puedes usar números negativos, simplemente pon un <b>-</b> delante.<br/>
                                       <mark>1 - -1 = 1 + 1</mark>
                                    </p>
                                 </div>
                                 <div class="col-sm-2 text-right">
                                    <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();" title="Guardar">
                                       <span class="glyphicon glyphicon-plus-sign"></span>
                                       <span class="hidden-xs">&nbsp;Nueva</span>
                                    </button>
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="panel-footer">
                            <p class="help-block">
                                ¿Necesitas un sistema de tarifas más <b>avanzado</b>? el plugin
                                <a href="https://www.facturascripts.com/plugin/facturacion_premium" target="_blank">facturación premium</a>
                                permite definir tarifas específicas por familia y precios fijos para artículos.
                            </p>
                        </div>
                     </div>
                  </form>
               </div>
            </div>
         </div>
      </div>
      {/if}
      {loop="$fsc->extensions"}
         {if="$value->type=='tab'"}
         <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
            <iframe src="index.php?page={$value->from}{$value->params}" width="100%" height="2000" frameborder="0"></iframe>
         </div>
         {/if}
      {/loop}
   </div>
</div>

<form class="form-horizontal" role="form" name="f_nuevo_articulo" action="{$fsc->url()}" method="post">
   <div class="modal" id="modal_nuevo_articulo">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">Nuevo artículo</h4>
               <p class="help-block">
                  Puedes importar, exportar o actualizar masivamente artículos y familias usando el plugin
                  <a href="https://www.facturascripts.com/plugin/import_export_csv" target="_blank">
                     Importar/Exportar CSV
                  </a>
               </p>
            </div>
            <div class="modal-body">
               <!-- <div class="form-group">
                  <label class="col-sm-2 control-label">Referencia</label>
                  <div class="col-sm-10">
                     <input class="form-control" type="text" name="referencia" maxlength="18" autocomplete="off"/>
                     <p class="help-block">
                        Dejar en blanco para asignar una referencia automática.
                     </p>
                  </div>
               </div> -->
               <div class="form-group">
                     <label class="col-sm-2 control-label">Código de producto</label>
                     <div class="col-sm-10">
                        <input class="form-control" type="text" name="referencia" maxlength="18" autocomplete="off"/>
                        <p class="help-block">
                           Dejar en blanco para asignar un código automático.
                        </p>
                     </div>
               </div>
               
               <div class="form-group">
                  <label class="col-sm-2 control-label">Descripcion</label>
                  <div class="col-sm-10">
                     <input class="form-control" type="text" name="descripcion" autocomplete="off" required/>
                  </div>
               </div>
               <div class="form-group">
                  <label class="col-sm-2 control-label"><a href="{$fsc->familia->url()}">Familia</a></label>
                  <div class="col-sm-10">
                     <select class="form-control" name="codfamilia">
                        <option value="">Ninguna</option>
                        <option value="">-------</option>
                        {loop="$fsc->familia->all()"}
                           {if="$value->codfamilia==$fsc->b_codfamilia"}
                           <option value="{$value->codfamilia}" selected="">{$value->nivel}{$value->descripcion}</option>
                           {else}
                           <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                           {/if}
                        {/loop}
                     </select>
                  </div>
               </div>
               <div class="form-group">
                  <label class="col-sm-2 control-label"><a href="{$fsc->fabricante->url()}">Fabricante</a></label>
                  <div class="col-sm-10">
                     <select class="form-control" name="codfabricante">
                        <option value="">Ninguno</option>
                        <option value="">-------</option>
                        {loop="$fsc->fabricante->all()"}
                           {if="$value->codfabricante==$fsc->b_codfabricante"}
                           <option value="{$value->codfabricante}" selected="">{$value->nombre}</option>
                           {else}
                           <option value="{$value->codfabricante}">{$value->nombre}</option>
                           {/if}
                        {/loop}
                     </select>
                  </div>
               </div>
               <div class="form-group">
                  <label class="col-sm-2 control-label"><a href="{$fsc->impuesto->url()}">{#FS_IVA#}</a></label>
                  <div class="col-sm-10">
                     <select class="form-control" name="codimpuesto">
                     {loop="$fsc->impuesto->all()"}
                        {if="$value->is_default()"}
                        <option value="{$value->codimpuesto}" selected="">{$value->descripcion}</option>
                        {else}
                        <option value="{$value->codimpuesto}">{$value->descripcion}</option>
                        {/if}
                     {/loop}
                     </select>
                  </div>
               </div>
               <div class="form-group">
                  <label class="col-sm-2 control-label">Precio</label>
                  <div class="col-sm-10">
                     <div class="input-group">
                        <input class="form-control" type="text" name="pvp" value="0" autocomplete="off"/>
                        <div class="input-group-addon">{$fsc->simbolo_divisa()}</div>
                     </div>
                     <label class="checkbox-inline">
                        <input type="checkbox" name="coniva" value="TRUE"/>
                        Precio con {#FS_IVA#}
                     </label>
                  </div>
               </div>
            </div>
            <div class="modal-footer">
               <div class="checkbox pull-left">
                  <label>
                     <input type="checkbox" name="nostock" value="TRUE"/> No controlar stock
                  </label>
               </div>
               <button class="btn btn-sm btn-primary" type="submit">
                  <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar
               </button>
            </div>
         </div>
      </div>
   </div>
</form>

<form class="form" role="form" name="f_nueva_transferencia" action="{$fsc->url()}#transferencias" method="post">
   <div class="modal" id="modal_nueva_transferencia">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">
                  <span class="glyphicon glyphicon-transfer" aria-hidden="true"></span>
                  &nbsp;Nueva transferencia de stock
               </h4>
            </div>
            <div class="modal-body">
               <div class='form-group'>
                  Almacén orígen:
                  <div class="input-group">
                     <span class="input-group-addon">
                        <span class="glyphicon glyphicon-export"></span>
                     </span>
                     <select class="form-control" name="origen">
                     {loop="$fsc->almacenes"}
                        {if="$value->is_default()"}
                        <option value="{$value->codalmacen}" selected="">{$value->nombre}</option>
                        {else}
                        <option value="{$value->codalmacen}">{$value->nombre}</option>
                        {/if}
                     {/loop}
                     </select>
                  </div>
               </div>
               <div class='form-group'>
                  Almacén destino:
                  <div class="input-group">
                     <span class="input-group-addon">
                        <span class="glyphicon glyphicon-import"></span>
                     </span>
                     <select class="form-control" name="destino">
                        {loop="$fsc->almacenes"}
                        <option value="{$value->codalmacen}">{$value->nombre}</option>
                        {/loop}
                     </select>
                  </div>
               </div>
            </div>
            <div class="modal-footer">
               <button class="btn btn-sm btn-primary" type="submit">
                  <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar
               </button>
            </div>
         </div>
      </div>
   </div>
</form>

{include="footer"}